Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTExpression

All Superinterfaces:
  `IASTExpression`, `IASTImplicitDestructorNameOwner`, `IASTInitializerClause`, `IASTNode`, `ICPPASTInitializerClause`

All Known Subinterfaces:
  `ICPPASTArraySubscriptExpression`, `ICPPASTBinaryExpression`, `ICPPASTCastExpression`, `ICPPASTDeleteExpression`, `ICPPASTExpressionList`, `ICPPASTFieldReference`, `ICPPASTFunctionCallExpression`, `ICPPASTLambdaExpression`, `ICPPASTLiteralExpression`, `ICPPASTNaryTypeIdExpression`, `ICPPASTNewExpression`, `ICPPASTPackExpansionExpression`, `ICPPASTSimpleTypeConstructorExpression`, `ICPPASTTypeIdExpression`, `ICPPASTTypenameExpression`, `ICPPASTUnaryExpression`, `IGPPASTBinaryExpression`

public interface ICPPASTExpression extends IASTExpression, ICPPASTInitializerClause, IASTImplicitDestructorNameOwner
Interface for C++ expressions. Any full-expressions may contain `IASTImplicitDestructorName`s of destructors called at the end of the expression to destroy temporaries created by the expression. A full-expression is an expression that is not a subexpression of another expression.

Since:
  5.10
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`copy, copy, getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerClause

`getEvaluation`